develooper Front page | perl.perl5.porters | Postings from March 2018

[perl #132935] [PATCH] ExtUtils::ParseXS: use literals for VERSIONin 'use Module VERSION'

Thread Previous | Thread Next
From:
Shoichi Kaji
Date:
March 5, 2018 15:25
Subject:
[perl #132935] [PATCH] ExtUtils::ParseXS: use literals for VERSIONin 'use Module VERSION'
Message ID:
rt-4.0.24-29553-1520147418-1721.132935-75-0@perl.org
# New Ticket Created by  Shoichi Kaji 
# Please include the string:  [perl #132935]
# in the subject line of all future correspondence about this issue. 
# <URL: https://rt.perl.org/Ticket/Display.html?id=132935 >


This is a bug report for perl from skaji@outlook.com,
generated with the help of perlbug 1.40 running under perl 5.26.1.


-----------------------------------------------------------------
[Please describe your issue here]

Currently in ExtUtils::ParseXS, the version check does not work
because we use variables for VERSION:

```
our $VERSION;
BEGIN {
  $VERSION = '3.38';
}
use ExtUtils::ParseXS::Constants $VERSION;
```

We must use literals for VERSION.
A patch for this is attached to this e-mail.

[Please do not change anything below this line]
-----------------------------------------------------------------
---
Flags:
    category=library
    severity=low
    module=ExtUtils::ParseXS
---
Site configuration information for perl 5.26.1:

Configured by travis at Sat Sep 30 13:44:01 UTC 2017.

Summary of my perl5 (revision 5 version 26 subversion 1) configuration:
   
  Platform:
    osname=darwin
    osvers=15.6.0
    archname=darwin-2level
    uname='darwin traviss-mac-1207.local 15.6.0 darwin kernel version 15.6.0: mon aug 29 20:21:34 pdt 2016; root:xnu-3248.60.11~1release_x86_64 x86_64 '
    config_args='-Dprefix=/opt/perl -Duserelocatableinc -Dman1dir=none -Dman3dir=none -DDEBUGGING=-g -des'
    hint=recommended
    useposix=true
    d_sigaction=define
    useithreads=undef
    usemultiplicity=undef
    use64bitint=define
    use64bitall=define
    uselongdouble=undef
    usemymalloc=n
    default_inc_excludes_dot=define
    bincompat5005=undef
  Compiler:
    cc='cc'
    ccflags ='-fno-common -DPERL_DARWIN -mmacosx-version-min=10.11 -fno-strict-aliasing -pipe -fstack-protector-strong -I/usr/local/include -DPERL_USE_SAFE_PUTENV'
    optimize='-O3 -g'
    cppflags='-fno-common -DPERL_DARWIN -mmacosx-version-min=10.11 -fno-strict-aliasing -pipe -fstack-protector-strong -I/usr/local/include'
    ccversion=''
    gccversion='4.2.1 Compatible Apple LLVM 7.3.0 (clang-703.0.31)'
    gccosandvers=''
    intsize=4
    longsize=8
    ptrsize=8
    doublesize=8
    byteorder=12345678
    doublekind=3
    d_longlong=define
    longlongsize=8
    d_longdbl=define
    longdblsize=16
    longdblkind=3
    ivtype='long'
    ivsize=8
    nvtype='double'
    nvsize=8
    Off_t='off_t'
    lseeksize=8
    alignbytes=8
    prototype=define
  Linker and Libraries:
    ld='cc'
    ldflags =' -mmacosx-version-min=10.11 -fstack-protector-strong -L/usr/local/lib'
    libpth=/usr/local/lib /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/../lib/clang/7.3.0/lib /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/lib /usr/lib
    libs=-lpthread -ldbm -ldl -lm -lutil -lc
    perllibs=-lpthread -ldl -lm -lutil -lc
    libc=
    so=dylib
    useshrplib=false
    libperl=libperl.a
    gnulibc_version=''
  Dynamic Linking:
    dlsrc=dl_dlopen.xs
    dlext=bundle
    d_dlsymun=undef
    ccdlflags=' '
    cccdlflags=' '
    lddlflags=' -mmacosx-version-min=10.11 -bundle -undefined dynamic_lookup -L/usr/local/lib -fstack-protector-strong'

Locally applied patches:
    Devel::PatchPerl 1.48

---
@INC for perl 5.26.1:
    /Users/skaji/env/plenv/versions/relocatable-5.26.1.1/lib/site_perl/5.26.1/darwin-2level
    /Users/skaji/env/plenv/versions/relocatable-5.26.1.1/lib/site_perl/5.26.1
    /Users/skaji/env/plenv/versions/relocatable-5.26.1.1/lib/5.26.1/darwin-2level
    /Users/skaji/env/plenv/versions/relocatable-5.26.1.1/lib/5.26.1

---
Environment for perl 5.26.1:
    DYLD_LIBRARY_PATH (unset)
    HOME=/Users/skaji
    LANG=en_US.UTF-8
    LANGUAGE (unset)
    LC_ALL=en_US.UTF-8
    LD_LIBRARY_PATH (unset)
    LOGDIR (unset)
   
PATH=/Users/skaji/env/plenv/versions/relocatable-5.26.1.1/bin:/Users/skaji/env/plenv/libexec:/Users/skaji/env/plenv/plugins/perl-build/bin:/Users/skaji/env/plenv/plugins/plenv-contrib/bin:/Users/skaji/env/plenv/plugins/plenv-download/bin:/Users/skaji/env/plenv/plugins/plenv-freeze/bin:/Users/skaji/env/plenv/plugins/plenv-reset/bin:/Users/skaji/env/plenv/plugins/plenv-update/bin:/Users/skaji/env/pyenv/shims:/Users/skaji/env/rbenv/shims:/Users/skaji/env/plenv/shims:/Users/skaji/env/rakudobrew/moar-master/install/share/perl6/site/bin:/Users/skaji/env/rakudobrew/moar-master/install/bin:/Users/skaji/env/go/bin:/Users/skaji/env/node/bin:/Users/skaji/env/plenv/bin:/Users/skaji/env/pyenv/bin:/Users/skaji/env/rbenv/bin:/Users/skaji/bin:/Users/skaji/dotfiles/bin:/usr/local/opt/gnu-tar/libexec/gnubin:/usr/local/opt/coreutils/libexec/gnubin:/opt/vagrant/bin:/usr/local/heroku/bin:/usr/local/bin:/usr/sbin:/sbin:/usr/bin:/bin:/opt/X11/bin:/Applications/Wireshark.app/Contents/MacOS
    PERLDOC=-MPod::Text::Color::Delight
    PERL_BADLANG (unset)
    PERL_CPAN_MIRROR_TINY_BASE=/Users/skaji/.perl-cpm/cache
    PERL_STRICTURES_EXTRA=1
    SHELL=/usr/local/bin/zsh

Thread Previous | Thread Next


nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About